Subject: Re: bug#58669: 28.2; bindat: str and strz not operating on vectors

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Oct 2022 19:02:26 +0300

> Resent-To: [email-masked]
> Cc: [email-masked]
> Date: Fri, 21 Oct 2022 11:29:45 -0400
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > It's the first time that I look into this package so I'm not sure this
> > is the way it's meant to work but similar operations work fine on
> > vectors of bytes, for instance:
> 
> Yes, I'm actually surprised I left this code in there as-is because
> I remember wondering how to make a unibyte string from a vector of bytes
> in an efficient way (and concluding that there's currently no good way
> to do that :-( ).

Maybe I'm missing something, but what's wrong with

  (apply 'string (append VECTOR nil))